package io.renren.modules.sys.service;

import io.renren.common.service.CrudService;
import io.renren.modules.sys.dto.AdvertOauthDTO;
import io.renren.modules.sys.entity.AdvertOauthEntity;

import java.util.Map;

/**
 * 广告平台授权
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2022-05-30
 */
public interface AdvertOauthService extends CrudService<AdvertOauthEntity, AdvertOauthDTO> {

    String saveOauth(AdvertOauthDTO advertOauth);

    String updateOauth(AdvertOauthDTO advertOauth);

    void cancelOauth(AdvertOauthDTO advertOauth);

    String grantOauth(AdvertOauthDTO advertOauth);

    void getToken(Map<String,Object> paramMap);

}